OpenVDB 3.2.0

Classes | Namespaces | Typedefs | Functions
metadata/Metadata.h File Reference
`#include <iostream>`
`#include <string>`
`#include <openvdb/Types.h>`
`#include <openvdb/math/Math.h>`
`#include <openvdb/util/Name.h>`
`#include <openvdb/Exceptions.h>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/cstdint.hpp>`

Go to the source code of this file.

## Classes
class | Metadata
| Base class for storing metadata information in a grid. More...
class | UnknownMetadata
| Subclass to read (and ignore) data of an unregistered type. More...
class | TypedMetadata< T >
| Templated metadata class to hold specific types. More...

## Namespaces
| openvdb
| openvdb::v3_2_0

## Typedefs
typedef TypedMetadata< bool > | BoolMetadata
typedef TypedMetadata< double > | DoubleMetadata
typedef TypedMetadata< float > | FloatMetadata
typedef TypedMetadata< boost::int32_t > | Int32Metadata
typedef TypedMetadata< boost::int64_t > | Int64Metadata
typedef TypedMetadata< Vec2d > | Vec2DMetadata
typedef TypedMetadata< Vec2i > | Vec2IMetadata
typedef TypedMetadata< Vec2s > | Vec2SMetadata
typedef TypedMetadata< Vec3d > | Vec3DMetadata
typedef TypedMetadata< Vec3i > | Vec3IMetadata
typedef TypedMetadata< Vec3s > | Vec3SMetadata
typedef TypedMetadata< Mat4s > | Mat4SMetadata
typedef TypedMetadata< Mat4d > | Mat4DMetadata

## Functions
std::ostream & | operator<< (std::ostream &ostr, const Metadata &metadata)
| Write a Metadata to an output stream. More...